org.bouncycastle.asn1.isismtt.x509

## Class AdditionalInformationSyntax

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.isismtt.x509.AdditionalInformationSyntax

All Implemented Interfaces:
  DEREncodable

    public class AdditionalInformationSyntax
    extends ASN1Encodable

Some other information of non-restrictive nature regarding the usage of this certificate.

        AdditionalInformationSyntax ::= DirectoryString (SIZE(1..2048))

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`AdditionalInformationSyntax(java.lang.String information)` Constructor from a given details.

### Method Summary

Methods
`DirectoryString` `getInformation()`
`static AdditionalInformationSyntax` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AdditionalInformationSyntax

    public AdditionalInformationSyntax(java.lang.String information)

Constructor from a given details.

Parameters:
  `information` - The describtion of the information.

### Method Detail

#### getInstance

    public static AdditionalInformationSyntax getInstance(java.lang.Object obj)

#### getInformation

    public DirectoryString getInformation()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

Returns:

       AdditionalInformationSyntax ::= DirectoryString (SIZE(1..2048))

Specified by:
  `toASN1Object` in class `ASN1Encodable`
Returns:
  a DERObject